%define name	kmasqdialer
%define version	2.04
%define release	3rph

Summary:	KMasqDialer - KDE client for the masqdialer modem server
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Networking/Remote Access
License:	GPL
Source:		kmasqdialer-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/kmasqdialer-%{version}-root

%description
KMasqDialer - KDE client for the masqdialer modem server

%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make


%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

%makeinstall

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
        command="%{_bindir}/kmasqdialer" \
	needs="x11" \
	icon="kmasqdialer.png" \
	section="Networking/Remote access" \
	title="Kmasqdialer" \
	longtitle="KDE Client for the masqdialer modem server" 
EOF

mkdir -p %{buildroot}%{_liconsdir} %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m644 kmasqdialer/kmasqdialer.png %{buildroot}%{_liconsdir}/
install -m644 kmasqdialer/kmasqdialer.png %{buildroot}%{_iconsdir}/
install -m644 kmasqdialer/kmasqdialer-mini.png %{buildroot}%{_miconsdir}/


%post
%update_menus


%postun
%clean_menus


%clean
#[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO doc/en/HTML
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_bindir}/kmasqdialer
%{_datadir}/icons/hicolor/16x16/apps/kmasqdialer.png
%{_datadir}/icons/hicolor/32x32/apps/kmasqdialer.png
%{_datadir}/icons/hicolor/16x16/actions/*.png

%changelog
* Tue Apr 16 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.04-3rph
- rebuild with rph extension

* Thu Oct  4 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.04-2mdk
- spec cleanups, macros
- fix location of HTML docs
- fix call to %%update_menus (not %%update-menus)

* Fri Aug 24 2001 Buchan Milne <bgmilne@bgmilne.cae.co.za> 2.04-1mdk
- Initial mandrake RPM.
